com.threerings.whirled.data

## Class DefaultSceneConfig

- java.lang.Object
- - com.threerings.io.SimpleStreamableObject
  - - com.threerings.crowd.data.PlaceConfig
    - - com.threerings.whirled.data.DefaultSceneConfig

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class DefaultSceneConfig
    extends com.threerings.crowd.data.PlaceConfig

The default scene config simply causes the default scene manager and controller to be created. A user of the Whirled services would most likely extend the default scene config.

Note that this place config won't even work on the client side because it instantiates a `SceneController` which is an abstract class. It is used only for testing the server side and as a placeholder in case standard scene configuration information is one day needed.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Constructor Summary

Constructors
Constructor and Description
`DefaultSceneConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getManagerClassName()`

### Methods inherited from class com.threerings.crowd.data.PlaceConfig

`createController, getControllerClass`

### Methods inherited from class com.threerings.io.SimpleStreamableObject

`toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultSceneConfig

    public DefaultSceneConfig()

### Method Detail

#### getManagerClassName

    public String getManagerClassName()

Specified by:
  `getManagerClassName` in class `com.threerings.crowd.data.PlaceConfig`